
Foreman - Bug #19989

cannot edit hosts with names starting with "new"

06/13/2017 04:47 AM - Daniel Kraemer

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.14.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi, we are running Foreman 1.14.2

I just tried to edit a host named newsletter.dev.solutetech.net and when i hit the submit button i get the error:

"The page you were looking for doesn't exist. You may have mistyped the address or the page may have moved."

The corresponding logs:

2017-06-13T07:47:51 6ce0cd20 [app] [I] Started PATCH "/hostssletter.dev.solutetech.net/edit" for 1

0.42.64.24 at 2017-06-13 07:47:51 +0000

2017-06-13T07:47:51 6ce0cd20 [app] [F] 

 | ActionController::RoutingError (No route matches [PATCH] "/hostssletter.dev.solutetech.net/edit

"):

 |   lib/middleware/tagged_logging.rb:18:in `call'

 | 

 | 

 I was able to reproduce this behavior with several hosts, all names began with "new":

user@foreman01:/var/log/foreman$ grep -F '[PATCH]'  production.log

 | ActionController::RoutingError (No route matches [PATCH] "/hostssletterfe.staging.solutetech.ne

t/edit"):

 | ActionController::RoutingError (No route matches [PATCH] "/hostssletter.dev.solutetech.net/edit

"):

 | ActionController::RoutingError (No route matches [PATCH] "/hostssletter.dev.solutetech.net/edit

"):

 | ActionController::RoutingError (No route matches [PATCH] "/hosts1.dev.solutetech.net/edit"):

 | ActionController::RoutingError (No route matches [PATCH] "/hostssletter.dev.solutetech.net/edit

"):

 | ActionController::RoutingError (No route matches [PATCH] "/hostssletter.dev.solutetech.net/edit

"):

 I'm not aware if you have a template for this kind of ticket. I hope you got all information you need.

Related issues:

Has duplicate Foreman - Feature #18064: Ability to import and provision exist... Closed 01/13/2017

History

#1 - 06/13/2017 12:52 PM - Daniel Lobato Garcia

- Category set to Host creation

Very interesting, it looks like the "news" part is being stripped off from the URL. I'll check how to fix this. Thanks for the report!

#2 - 06/13/2017 02:25 PM - Daniel Lobato Garcia
I could not reproduce this on 1.15 though, I tried with a host called "newssomething". Are you able to upgrade and try?

#3 - 06/14/2017 04:08 AM - Daniel Kraemer

Thanks for your quick response. Unfortunately our timezones are far apart.

I'm not able to upgrade our production environment right now, but i tested it in a virtual environment.

I was able to reproduce this behavior in 1.14.3 but not in 1.15.0

So, yes, you are right. 1.15.0 is not affected by this bug.

We are looking forward to upgrade as soon as possible.

Thank you.

#4 - 06/14/2017 04:17 AM - Ohad Levy

- Status changed from New to Duplicate

#5 - 06/14/2017 04:18 AM - Ohad Levy

- Has duplicate Feature #18064: Ability to import and provision existing VMs added

#6 - 06/14/2017 04:18 AM - Ohad Levy

for the record, this has been fixed by #18064.
